AceTime 3.0.0 Date and time classes for Arduino that support timezones from the TZ Database.

Public Member Functions | List of all members
ace_time::ZoneTemplate< D > Class Template Reference

A thin wrapper around a ZoneInfo data structure to provide a stable API access to some useful ZoneInfo data. More...

`#include <Zone.h>`

## Public Member Functions
| ZoneTemplate (const typename D::ZoneInfo *zoneInfo)
| Constructor from a raw Info::ZoneInfo* pointer, intended for manual inspection of a ZoneInfo record.
| ZoneTemplate (const typename D::ZoneInfoBroker &zoneInfo)
| Constructor from a Info:ZoneInfoBroker, used by various ZoneProcessor. More...
| ZoneTemplate (const ZoneTemplate &)=default
ZoneTemplate & | operator= (const ZoneTemplate &)=default
bool | isNull () const
| Return true if zoneInfo is null.
void | printNameTo (Print &printer) const
| Print the full zone name to printer. More...
void | printShortNameTo (Print &printer) const
| Print the short pretty zone name to the printer. More...
uint32_t | zoneId () const
| Return the zoneId of the current zoneInfo.
TimeOffset | stdOffset () const
| Return the STDOFF of the last ZoneEra.
ace_common::KString | kname () const
| Return the name as a KString.

## Detailed Description

### template<typename D>
class ace_time::ZoneTemplate< D >

A thin wrapper around a ZoneInfo data structure to provide a stable API access to some useful ZoneInfo data.

The ZoneInfo data struct is intended to be an opaque type to the users of this library.

Template Parameters

  D | container type of ZoneInfo database

Definition at line 25 of file Zone.h.

## Constructor & Destructor Documentation

## ◆ ZoneTemplate()

template<typename D >

ace_time::ZoneTemplate< D >::ZoneTemplate | ( | const typename D::ZoneInfoBroker & | zoneInfo | ) |
| inline

Constructor from a Info:ZoneInfoBroker, used by various ZoneProcessor.

This allows the implementation details of ZoneInfoBroker to remain hidden.

Definition at line 39 of file Zone.h.

## Member Function Documentation

## ◆ printNameTo()

template<typename D >

void ace_time::ZoneTemplate< D >::printNameTo | ( | Print & | printer | ) | const
| inline

Print the full zone name to printer.

Example "America/Los_Angeles".

Definition at line 50 of file Zone.h.

## ◆ printShortNameTo()

template<typename D >

void ace_time::ZoneTemplate< D >::printShortNameTo | ( | Print & | printer | ) | const
| inline

Print the short pretty zone name to the printer.

Underscores are replaced with spaces. Example "Los Angeles".

Definition at line 64 of file Zone.h.

The documentation for this class was generated from the following file:

- /home/brian/src/AceTimeSuite/libraries/AceTimeLib/src/ace_time/Zone.h